@ECHO OFF
CLS

ECHO The Sonic Codec - Batch file to register the DLL
ECHO Copyright 2002 by Gerbil Software and The ChaoSaX Team
ECHO.

IF NOT EXIST sonic_codec.dll GOTO :DLLNOTFOUND
IF NOT EXIST REGSVR32.EXE GOTO :REGNOTFOUND
REGSVR32 sonic_codec.dll
ECHO The Sonic Codec DLL file has been registered.
GOTO :END

:REGNOTFOUND
ECHO Error: REGSVR32.EXE has not been found on the current path.
ECHO Please make sure REGSVR32.EXE is in the same folder as this batch file.
IF "%OS%"=="Windows_NT" GOTO :NT
ECHO Check your %WINDIR%\SYSTEM folder for REGSVR32.EXE.
GOTO :END
:NT
ECHO Check your %WINDIR%\SYSTEM32 folder for REGSVR32.EXE.
GOTO :END

:DLLNOTFOUND
ECHO Error: sonic_codec.dll not found in this folder.
ECHO Please make sure that The Sonic Codec DLL file is in the same folder
ECHO as this batch file.
GOTO :END

:END
ECHO.
